
import { useUserStoreWithOut } from '@/store/modules/user'

export default function checkPermission(value) {
  const store = useUserStoreWithOut()
  if (value && value instanceof Array && value.length > 0) {
    const roles = store?.roles || []
    const permissionRoles = value

    const hasPermission = roles.some(role => {
      return permissionRoles.includes(role)
    })
    return hasPermission
  } else {
    return false
  }
}